<?php
include ("../conexion.php");
include ("../funciones/fechas.php");



if (!isset( $_POST["fechainicio"])) { 
$cdgven = $_GET["vendedor"];
$combotipoplazo=$_GET["combotipoplazo"];
$fechainicio  = $_GET["fechainicio"];
$fechainicio  = implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin     = $_GET["fechafin"];
$fechafin     = implode("-", array_reverse(explode("-", $fechafin))); 
$cadena_busqueda = $_GET["cadena_busqueda"];
   


 } else  {   // si no es modificacion desde la rejilla
 $combotipoplazo=$_POST["combotipoplazo"];
$cdgven = $_POST["vendedor"];
$fechainicio  = $_POST["fechainicio"];
$fechainicio  = implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin     = $_POST["fechafin"];
$fechafin     = implode("-", array_reverse(explode("-", $fechafin))); 
$cadena_busqueda = $_POST["cadena_busqueda"];


 }
 
 

$where="1=1";
/*
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecfac <='".$fechafin."'";
		}
	}
}
*/
if ($cdgven <> "") { $where.=" AND cdgven='$cdgven'"; }

if ($combotipoplazo == 1 ) { $where.=" AND dias   <=90"; }
if ($combotipoplazo == 2 ) { $where.=" AND dias > 90"; }



$montototal=0;  
  if ($result = $mysqli->query("SELECT * FROM seguimiento_comicion_recibos  WHERE   ".$where)) {
   $filas = $result->num_rows;
   $result->close();
}

					 
	$cantidad_facturada      = 0;
 	$cantidad_comprada       = 0;
	$cantidad_notas          = 0;
 	$cantidad_notas_compras  = 0;
	$cantidad_ajuste_resta   = 0;
 	$cantidad_ajuste_suma    = 0;
		

		
$montototalabono= 0;

				 	
	
				
					  ?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
	
	
function tabE(obj, e) {
        var e = (typeof event != 'undefined') ? window.event : e; // IE : Moz 
        if (e.keyCode == 13) {
            var ele = document.forms[0].elements;
            for (var i = 0; i < ele.length; i++) {
                var q = (i == ele.length - 1) ? 0 : i + 1; // if last element : if any other 
                if (obj == ele[i]) {
                      ele[q].select();
				      ele[q].focus();
                    break
                }
            }
            return false;
        }
    }	
		      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

	function pon_prefijo(montototal, montototalabono) {

	parent.document.form_busqueda.totalfacturas.value=montototal;
	parent.document.form_busqueda.totalabono.value=montototalabono;

    
}
		
	
function  actualizar_articulo_descuento(cgdseg,porcentaje,combotipoplazo,fechainicio,fechafin,cdgven,cadena_busqueda){

//
		
		 	document.getElementById("frame_datos3").src="actualizar_comicion_vendedor.php?cgdseg="+cgdseg+"&porcentaje=" + porcentaje+"&combotipoplazo=" + combotipoplazo+"&fechainicio=" + fechainicio+"&fechafin=" + fechafin+"&cdgven=" + cdgven+"&cadena_busqueda=" + cadena_busqueda;


}


	
	

			
			
			
			
		</script>
	</head>
	
	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">
				<?php
					if ($filas > 0) { 
					
$consulta = "SELECT *  FROM seguimiento_comicion_recibos  WHERE  ".$where." ORDER BY numrec ASC " ;
 

if ($resultado = $mysqli->query($consulta)) 
	$contador=0;
    while ($fila = $resultado->fetch_assoc()) {
    
	$cgdseg     = $fila["cgdseg"];
	$cdgcli     = $fila["cdgcli"];
	$dsccli     = $fila["dsccli"];				
    $codfactura = $fila["numfac"];	
	$codfactura   = substr( $codfactura, -10);
	$numrec = $fila["numrec"];				
    $dias     = $fila["dias"];				
    $porcentaje     = $fila["porcentaje"];				
    $monto     = $fila["monto"];
	$monabo     = $fila["monabo"];
	$monabo2     = $fila["monabo"];
					
    $fecfac     = $fila["fecfac"];	
	$fecrec     = $fila["fecrec"];		

 //$cdgcli=sprintf("%06d",$cdgcli); 				
				    				 
$fecfac= implode("-", array_reverse(explode("-", $fecfac))); 
$fecrec= implode("-", array_reverse(explode("-", $fecrec))); 

 $monabo=number_format($monabo,2,",",".");
 $monto2=number_format($monto,2,",",".");
				 	
								if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<?php $contador+1;?>
								<td width="5%" align="center"><div align="left"><?php echo $codfactura?></div></td>	
								<td width="9%" align="center"><?php echo $numrec?></td>
								<td width="7%" align="center"><?php echo $fecfac ?></td>
								<td width="9%"><div align="center"><?php echo $fecrec ?></div></td>	
								
								<?php	  $dsccli = substr($dsccli, 0,35);  ?>	
								 <td width="5%" align="center"><?php echo $cdgcli ?></td>
								 <td width="32%"><div align="left"><?php echo $dsccli ?></div></td>
								 <td width="6%"><div align="right"><?php echo $monabo ?></div></td>
                                <td width="10%"><div align="CENTER"><?php echo $dias ?></div></td>						 
								<td width="6%"><div align="right"><input type="text"   value="<?php echo number_format($porcentaje,2,".",",") ?>"  name="descuento"  onkeypress="return tabE(this,event)"  style='text-align:right;'  onChange="actualizar_articulo_descuento('<?php echo $cgdseg ?>',this.value,'<?php echo $combotipoplazo ?>','<?php echo $fechainicio ?>','<?php echo $fechafin ?>','<?php echo $cdgven?>','<?php echo $cadena_busqueda ?>')"   maxlength="15" size="8" autocomplete="off"    /> </div></td>
                                <td width="11%"><div align="right"><?php echo $monto2 ?></div></td>
						</tr>
						</tr>	
						<?php $contador++;
						
						
						$montototal = $montototal + $monto;
						$montototalabono = $montototalabono  + $monabo2;
							}
							
							 $montototal=number_format($montototal,2,",",".");
							 $montototalabono=number_format($montototalabono,2,",",".");
						?>			
					</table>
                <?php    
 
               } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay registros que cumplan con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } 
				
		
             ?>       
                 <script languaje="javascript">
			
				 	pon_prefijo("<?php echo $montototal?>","<?php echo $montototalabono?>");
	

	
		</script>			
			  </div>
			</div>
		  </div>			
		</div>
		
				
      <iframe id="frame_datos3" name="frame_datos3" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
  </iframe>	
  
  
  
	</body>
</html>

